import React from "react";

export default function StyleRepeater({ childStyle, children }) {
  return (
    <>
      {React.Children.map(children, (child) =>
        React.cloneElement(child, {
          style: [child.props.style, childStyle],
        })
      )}
    </>
  );
}
